Loading...
Searching...
No Matches
bladerf_rational_rate Struct Reference
Channel control » Sample rate

## Description

Rational sample rate representation

Sample rates are in the form of

\[ rate = integer + \frac{num}{den} \]

Definition at line 1041 of file libbladeRF.h.

`#include <libbladeRF.h>`

## Data Fields

uint64_t | integer
uint64_t | num
uint64_t | den

## Field Documentation

## den

uint64_t den

Denominator in fractional portion. This must be greater than 0.

Definition at line 1044 of file libbladeRF.h.

## integer

uint64_t integer

Integer portion

Definition at line 1042 of file libbladeRF.h.

## num

uint64_t num

Numerator in fractional portion

Definition at line 1043 of file libbladeRF.h.

The documentation for this struct was generated from the following file:

- libbladeRF.h